{% load custom_tags %}

<div class="col-md-12 col-sm-12 col-xs-12">
    <div class="dashboard_graph">

        <div class="row x_title">
            <div class="col-md-6">
                <h3>{{ titulo }} <small>{{ subtitulo }}</small></h3>
            </div>
            <!--div class="col-md-6">
                <div id="reportrange" class="pull-right"
                     style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc">
                    <i class="glyphicon glyphicon-calendar fa fa-calendar"></i>
                    <span>December 30, 2014 - January 28, 2015</span> <b class="caret"></b>
                </div>
            </div-->
        </div>

        <div class="col-md-12 col-sm-12 col-xs-12">
            <div id="chart-{{ titulo | slugify }}" class="demo-placeholder"></div>
        </div>

        <div class="clearfix"></div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function() {
        var elmId = "#chart-{{ titulo | slugify }}";

        var data = {{ dados | jsonify_queryset:jsonify_queryset_opts | safe}};
        data = data.map((elm) => [ parseInt(elm['{{ time_field }}'])*1000, elm['{{ value_field }}']]);

        if ($(elmId).length){
            $.plot( $(elmId), [ data ], {xaxis: { mode: "time", timeBase: "milliseconds"}} );
        }
    });

</script>